player_power_chargepolicy_config Struct Reference

Request/reply: set charging policy. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | enable_input
| uint8_tean controlling recharging. More...
uint8_t | enable_output
| uint8_tean controlling whether others can recharge from this device. More...

## Detailed Description

Request/reply: set charging policy.

Send a PLAYER_ENERGY_SET_CHARGING_POLICY_REQ request to change the charging policy.

## Member Data Documentation

uint8_t player_power_chargepolicy_config::enable_input

uint8_tean controlling recharging.

If FALSE, recharging is disabled. Defaults to TRUE

uint8_t player_power_chargepolicy_config::enable_output

uint8_tean controlling whether others can recharge from this device.

If FALSE, charging others is disabled. Defaults to TRUE.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45